# Inceptum Launcher
A FOSS Launcher for Minecraft written in Java

Inceptum is a WIP minecraft launcher\
Since it is very bare-bones currently, I would not recommend using it

# Downloads
You can download builds for [Windows](https://gitlab.com/JFronny/inceptum/-/jobs/artifacts/master/raw/wrapper.exe?job=build_test) and a [Cross-Platform Jar](https://gitlab.com/JFronny/inceptum/-/jobs/artifacts/master/raw/wrapper.jar?job=build_test) \
The windows build uses FabricInstallers code to automatically launch using the java install of the minecraft launcher if present.\

# Installation
On most modern systems, simply launching the wrapper and waiting for it to download the latest Inceptum version will be enough.\
It will be placed in your config directory (~/.config/Inceptum, %APPDATA%\Inceptum or ~/Library/Application Support/Inceptum).\
On some older systems without OpenGL drivers, Inceptum won't run by default. For these, look at the next section

# Portable installation for Windows systems without OpenGL and/or java
Download the portable build from [here](https://gitlab.com/JFronny/inceptum/-/jobs/artifacts/master/raw/portable.7z?job=portable) \
This archive includes Inceptum using the Inceptum wrapper, a JVM and a Mesa build for CPU-based graphics.\
Please be aware that mesa WILL result in lower FPS.
If all your systems support OpenGL and are simply missing java, remove the `run/natives/forceload` subdirectory!

## Licenses
Inceptum utilizes code/libraries/assets from:
- [ATLauncher](https://github.com/ATLauncher/ATLauncher): Microsoft authentication
- [MultiMC](https://github.com/MultiMC/Launcher): Used as a reference for some implementations
- [imgui-java](https://github.com/SpaiR/imgui-java): The library used for UI
- [Dear ImGui](https://github.com/ocornut/imgui): Included and wrapped in imgui-java, UI library
- [LWJGL](https://github.com/LWJGL/lwjgl3): Used as a backend for imgui-java
- [gson](https://github.com/google/gson): Used for interacting with various APIs and configs
- [slf4j](https://github.com/qos-ch/slf4j): Used for logging
- [logback](https://github.com/qos-ch/logback): An implementation of lsf4j
- [JLHTTP](https://github.com/curtcox/JLHTTP): Used for ATLaunchers Microsoft Authentication implementation
- [JGit](https://www.eclipse.org/jgit/): Used in instance creation, hopefully also for sync soon
- [fabric-meta](https://github.com/FabricMC/fabric-meta): Code for launching servers from PR#16
- [Ubuntu](https://design.ubuntu.com/font/): Used with nerd font symbols as the font
- [Nerd Fonts](https://www.nerdfonts.com/): Extra symbols for the font, currently unused
- [meteor-client](https://github.com/MeteorDevelopment/meteor-client): A simple HTTP client
- Several of [my other projects](https://gitlab.com/jfmods)
