package io.gitlab.jfronny.inceptum.cli;

import io.gitlab.jfronny.inceptum.util.MetaHolder;

public class HelpCommand extends Command {
    public HelpCommand() {
        super("Displays this screen", "help");
    }
    @Override
    public void invoke(InvokedCommandDescription args) {
        System.out.println("Inceptum v" + MetaHolder.VERSION.version + " (" + MetaHolder.VERSION.flavor + ")\n\nCommands:");
        for (Command command : InvokedCommandDescription.COMMANDS) {
            System.out.println("  " + command.getName() + " - " + command.getHelp());
        }
    }
}
