package io.gitlab.jfronny.inceptum.install;

import io.gitlab.jfronny.inceptum.Inceptum;
import io.gitlab.jfronny.inceptum.model.inceptum.LoaderInfo;
import io.gitlab.jfronny.inceptum.model.mojang.VersionInfo;

import java.util.concurrent.atomic.AtomicReference;

public record SetupStepInfo(VersionInfo version,
                            LoaderInfo loader,
                            String name,
                            AtomicReference<String> currentState) {
    public void setState(String state) {
        currentState.set(state);
        Inceptum.LOGGER.info(state);
    }
}
