package io.gitlab.jfronny.inceptum.model.inceptum;

import io.gitlab.jfronny.inceptum.model.mojang.VersionInfo;

public class ArtifactInfo {
    public final String path;
    public final String sha1;
    public final int size;
    public final String url;
    public final boolean isNative;

    public ArtifactInfo(VersionInfo.Library.Downloads.Artifact artifact, boolean isNative) {
        path = artifact.path;
        sha1 = artifact.sha1;
        size = artifact.size;
        url = artifact.url;
        this.isNative = isNative;
    }
}
