package io.gitlab.jfronny.inceptum.model.modrinth;

import java.util.Date;
import java.util.List;

public class ModrinthMod {
    public String id;
    public String slug;
    public String team;
    public String title;
    public String description;
    public String body;
    public String body_url;
    public Date publish;
    public Date updated;
    public String status;
    public License license;
    public String client_side;
    public String server_side;
    public Integer downloads;
    public Integer follows;
    public List<String> categories;
    public List<String> versions;
    public String icon_url;
    public String issues_url;
    public String source_url;
    public String wiki_url;
    public String discord_url;
    public List<String> donation_urls;

    public static class License {
        public String id;
        public String name;
        public String url;
    }
}
