package io.gitlab.jfronny.inceptum.model.gitlab;

import java.util.Date;
import java.util.List;

public class GitlabJob {
    public Long id;
    public String status;
    public String stage;
    public String name;
    public String ref;
    public Boolean tag;
    public Boolean allow_failure;
    public Date created_at;
    public Date started_at;
    public Date finished_at;
    public Double duration;
    public Double queued_duration;
    public GitlabUser user;
    public GitlabCommit commit;
    public GitlabPipeline pipeline;
    public String web_url;
    public List<GitlabArtifact> artifacts;
    public GitlabRunner runner;
    public Date artifacts_expire_at;
}
