package io.gitlab.jfronny.inceptum.model.gitlab;

import java.util.Date;

public class GitlabProject {
    public Long id;
    public String description;
    public String name;
    public String name_with_namespace;
    public String path;
    public String path_with_namespace;
    public String created_at;
    public String default_branch;
    public String ssh_url_to_repo;
    public String http_url_to_repo;
    public String web_url;
    public String readme_url;
    public String avatar_url;
    public Integer forks_count;
    public Integer star_count;
    public Date last_activity_at;
    public Boolean packages_enabled;
    public Boolean empty_repo;
    public Boolean archived;
    public String visibility;
    public GitlabUser owner;
    public Boolean resolve_outdated_diff_discussions;
    public Boolean issues_enabled;
    public Boolean merge_requests_enabled;
    public Boolean wiki_enabled;
    public Boolean jobs_enabled;
    public Boolean snippets_enabled;
    public Boolean container_registry_enabled;
    public Boolean service_desk_enabled;
    public String service_desk_address;
    public Boolean can_create_merge_request_in;
    public String issues_access_level;
    public String repository_access_level;
    public String merge_request_access_level;
    public String forking_access_level;
    public String wiki_access_level;
    public String builds_access_level;
    public String snippets_access_level;
    public String pages_access_level;
    public String operations_access_level;
    public String analytics_access_level;
    public String container_registry_access_level;
    public Boolean emails_disabled;
    public Boolean shared_runners_enabled;
    public Boolean lfs_enabled;
    public Long creator_id;
    public String import_status;
    public Integer open_issues_count;
    public String runners_token;
    public Integer ci_default_git_depth;
    public Boolean ci_forward_deployment_enabled;
    public Boolean ci_job_token_scope_enabled;
    public Boolean public_jobs;
    public String build_git_strategy;
    public Integer build_timeout;
    public String auto_cancel_pending_pipelines;
    public String build_coverage_regex;
    public String ci_config_path;
    public Boolean only_allow_merge_if_pipeline_succeeds;
    public Boolean restrict_user_defined_variables;
    public Boolean request_access_enabled;
    public Boolean only_allow_merge_if_all_discussions_are_resolved;
    public Boolean remove_source_branch_after_merge;
    public Boolean printing_merge_request_link_enabled;
    public String merge_method;
    public String squash_option;
    public String suggestion_commit_message;
    public Boolean auto_devops_enabled;
    public String auto_devops_strategy;
    public Boolean autoclose_referenced_issues;
    public Boolean keep_latest_artifact;
    public Integer approvals_before_merge;
    public Boolean mirror;
    public String external_authorization_classification_label;
    public Integer requirements_enabled;
    public Integer security_and_compliance_enabled;
    public String issues_template;
    public String merge_requests_template;
    public Boolean merge_pipelines_enabled;
    public Boolean merge_trains_enabled;
}
