package io.gitlab.jfronny.inceptum.model.microsoft;

import com.google.gson.annotations.SerializedName;

import java.util.Date;
import java.util.List;

public class XboxLiveAuthResponse {
    @SerializedName("IssueInstant")
    public Date issueInstant;

    @SerializedName("NotAfter")
    public Date notAfter;

    @SerializedName("Token")
    public String token;

    @SerializedName("DisplayClaims")
    public DisplayClaims displayClaims;

    public static class DisplayClaims {
        public List<XUIClaim> xui;

        public static class XUIClaim {
            public String uhs;
        }
    }
}
