package io.gitlab.jfronny.inceptum.model.modrinth;

import java.util.Date;
import java.util.List;

public class ModrinthSearchResult {
    public List<ModResult> hits;
    public Integer offset;
    public Integer limit;
    public Integer total_hits;

    public static class ModResult {
        public String mod_id;
        public String slug;
        public String author;
        public String title;
        public String description;
        public List<String> categories;
        public List<String> versions;
        public Integer downloads;
        public Integer follows;
        public String page_url;
        public String icon_url;
        public String author_url;
        public Date date_created;
        public Date date_modified;
        public String latest_version;
        public String license;
        public String client_side;
        public String server_side;
        public String host;
    }
}
