package io.gitlab.jfronny.inceptum.model.mojang;

import com.google.gson.annotations.SerializedName;

import java.util.List;
import java.util.Map;

public class JvmInfo {
    public Map<String, List<Jvm>> linux;
    @SerializedName("mac-os")
    public Map<String, List<Jvm>> macOs;
    @SerializedName("windows-x64")
    public Map<String, List<Jvm>> windowsX64;

    public static class Jvm {
        public Availability availability;
        public MojangFileDownload manifest;
        public Version version;

        public static class Availability {
            public int group;
            public int progress;
        }

        public static class Version {
            public String name;
            public String released;
        }
    }
}
